services:
    d2_rbandson_service_definition_manager:
        class:          D2\RbAndSonBundle\DependencyInjection\Services\ServiceDefinitionManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_rbandson_partner_file_manager:
        class:          D2\RbAndSonBundle\DependencyInjection\Services\PartnerFileManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_rbandson_waybill_manager:
        class:          D2\RbAndSonBundle\DependencyInjection\Services\WaybillManager
        arguments:      [@service_container, @doctrine.orm.entity_manager, @d2_rbandson_service_definition_manager, @d2_calc_manager]

    d2_rbandson_bundle.twig.rbandson_extension:
        class:          D2\RbAndSonBundle\Twig\RbAndSonTwigExtension
        arguments:      [@doctrine, @service_container, @d2_rbandson_partner_file_manager, @d2_rbandson_service_definition_manager]
        tags:
            - { name: twig.extension }

    # With Selected Extensions
    d2_rbandson_bundle.waybill_with_selected.extension:
        class:          D2\RbAndSonBundle\DependencyInjection\Services\WaybillsWithSelectedExtension
        arguments:      [@doctrine, @service_container]
        tags:
            - { name: d2.with_selected, alias: rbandson_list }
            - { name: d2.with_selected, alias: rbandson_waybill }
